### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information

# Class ItemAlreadyExistsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.ItemAlreadyExistsException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ItemAlreadyExistsException extends ServiceException implements Serializable
Thrown when an item already exists.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ItemAlreadyExistsException(String message)`
  Constructs an instance using the specified message to detail the cause of the exception.
  `ItemAlreadyExistsException(Throwable throwable, String message)`
  Constructs an instance using the specified message and the throwable that prompted creation of this service exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ItemAlreadyExistsException

    public ItemAlreadyExistsException(String message)
    Constructs an instance using the specified message to detail the cause of the exception.
    Parameters:
      `message` - Exception message.

  - ### ItemAlreadyExistsException

    public ItemAlreadyExistsException(Throwable throwable, String message)
    Constructs an instance using the specified message and the throwable that prompted creation of this service exception.
    Parameters:
      `throwable` - Throwable that prompted the exception.
      `message` - Exception message.